<!doctype html>
<html lang="en">
  <head>
    <title>Memory Game</title>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
 
</head>
  <body>
  <div id="app">
      <button class="button" v-on:click="getColros">Atribuie culori</button>
     <br>
       <br />
      <div class="pro"   v-for="position in positions.slice(0,4)">
        <div v-on:click="showDiv(position)" class="square" v-bind:id="position">
        </div>
      </div>

       <br />
      <div class="pro" v-for="position in positions.slice(4,8)">
        <div v-on:click="showDiv(position)" class="square" v-bind:id="position">
        </div>
      </div>
       <br />
      <div class="pro"  v-for="position in positions.slice(8,12)">
        <div v-on:click="showDiv(position)" class="square" v-bind:id="position">
        </div>
      </div>
       <br />
      <div class="pro"  v-for="position in positions.slice(12,15)">
        <div v-on:click="showDiv(position)" class="square" v-bind:id="position">
        </div>
      </div>
       </div>

      
    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>
    <script src="memoryColor.js"></script>
  </body>
  <style>
    .button {
      margin-left: 20px;
      margin-top: 20px;
    }
    .pro{
      display:inline-block;
      margin-left: 10px;
   }

    .square {
      width: 100px;
      height: 100px;
      background-color: #f3bd9e;
      display: inline-block;
      margin: 5px black;
     
    }
  </style>
</html>